- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# VstFileSelect Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
VstInt32 | command
VstInt32 | type
VstInt32 | macCreator
| optional: 0 = no creator
VstInt32 | nbFileTypes
| number of fileTypes
VstFileType * | fileTypes
| list of fileTypes
char | title [1024]
| text to display in file selector's title
char * | initialPath
| initial path
char * | returnPath
| use with kVstFileLoad and kVstDirectorySelect. null: Host allocates memory, plug-in must call closeOpenFileSelector!
VstInt32 | sizeReturnPath
| size of allocated memory for return paths
char ** | returnMultiplePaths
| use with kVstMultipleFilesLoad. Host allocates memory, plug-in must call closeOpenFileSelector!
VstInt32 | nbReturnPath
| number of selected paths
VstIntPtr | reserved
| reserved for Host application
char | future [116]
| reserved for future use

## Detailed Description

File Selector Description used in audioMasterOpenFileSelector.

## Member Data Documentation

VstInt32 VstFileSelect::command

| See also: VstFileSelectCommand

VstFileType* VstFileSelect::fileTypes

| list of fileTypes See also: VstFileType

char VstFileSelect::future[116]

| reserved for future use

char* VstFileSelect::initialPath

| initial path

VstInt32 VstFileSelect::macCreator

| optional: 0 = no creator

VstInt32 VstFileSelect::nbFileTypes

| number of fileTypes

VstInt32 VstFileSelect::nbReturnPath

| number of selected paths

VstIntPtr VstFileSelect::reserved

| reserved for Host application

char** VstFileSelect::returnMultiplePaths

| use with kVstMultipleFilesLoad. Host allocates memory, plug-in must call closeOpenFileSelector!

char* VstFileSelect::returnPath

| use with kVstFileLoad and kVstDirectorySelect. null: Host allocates memory, plug-in must call closeOpenFileSelector!

VstInt32 VstFileSelect::sizeReturnPath

| size of allocated memory for return paths

char VstFileSelect::title[1024]

| text to display in file selector's title

VstInt32 VstFileSelect::type

| See also: VstFileSelectType

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.